API v1 is deprecated. It stops responding on 3 December, 2026. Build with
API v2 , and move an existing integration with the
migration guide .
Welcome to the Inboxapp API
The Inboxapp API gives you full access to manage the following entities in your team:
Threads : DM conversations on X
Account links : X accounts connected to your team
Members : users who can access the team
Prospects : external profiles on X
Tags : labels for prospects
Statuses : pipeline statuses for prospects
As of now, access to the following is not available:
Lists : Saved collections of leads
Campaigns : Automated DM sequences
Authentication
All API endpoints are authenticated using Bearer tokens. Include your token in the Authorization header:
Base URL
All API requests should be made to:
A quick note on IDs
Inboxapp stores two types of IDs for objects that relate to X:
id — The Inboxapp ID, which is the ID of the Inboxapp object
platformId — The original X ‘platform’ ID, which is the ID of the X user, conversation, etc.
Throughout the API, you’ll see instances where multiple IDs are present. platformId is always the original X ID.
Encoding objects and arrays in query params
Inboxapp’s API uses bracket notation to denote objects and arrays.
Objects
For an endpoint that accepts a cursor parameter for instance, with the cursor object being:
The URL search params would be encoded as:
For pagination cursors specifically, prefer the flat cursorId and
cursorTimestamp query parameters over bracket notation. Both are supported,
but the flat form is simpler to work with.
Arrays
For an endpoint that accepts an ids parameter for instance, with the value being:
there are three options:
Repeat the parameter for each value:
Append [] to explicitly denote an array (useful if there’s only one value):
Append [number] to denote the array index. This option is the most flexible and allows for reordering and skipping values: